function fun=getVec(A,N)
  if isamat(A)
    assert( A.N == N )
    fun=@(X,i,j) X.values(:,i,j); 
    return;
  end
  n=length(size(A));
  assert( n <= 3 )
  if isscalar(A)
    fun=@(X,i,j) X;
    return
  end
  if n==2
    [n1,n2]=size(A);
    if n1==N && n2==1, fun=@(X,i,j) X;return; end
    if n1==1 && n2==N, fun=@(X,i,j) X.';return; end
    if (n1==N), fun=@(X,i,j) X(:,i);return; end %  N-by-m-by-1 => N-by-m array 
      fun=@(X,i,j) X(i,j); 
      return;
    end
  if n==3
    assert( size(A,1)==N )
    fun=@(X,i,j) X(:,i,j); 
    return;
  end
  error('1st parameter must be a scalar or 2D or 3D array')
end
